package djmil.cordacheckers.cordaclient.dao.flow;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.json.JsonTest;
import org.springframework.boot.test.json.JacksonTester;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;

@JsonTest
public class ResponseBodyTest {

    @Autowired
    private JacksonTester<ResponseBody> jTester;

    @Test
    void GameProposalTest() throws IOException {
        ResponseBody responseBody = new ResponseBody(
            "804313813EED",
            "game-proposal-11",
            "ec913fe4-12cb-4867-acf0-4b8d24879362",
            "COMPLETED",
            "SHA-256D:67B08F2A94B1C38F6A42AC109FDCD6126B6B8F96FB2097DF81555956CC2AA7FB",
            null,
            "2023-08-29T14:41:05.600Z"
        );

        assertThat(jTester.write(responseBody)).isEqualToJson("ResponseBody-GameProposal.json");
    }
}

