import './Player.css'
import React from 'react'
import { Stone } from './Stone'

export default function Player({ color, name }) {

    return (
        <div className='player'>
            <Stone color={color} />
            {name}
        </div>
    )
}

export function SelectPlayer({ name, setName, nameOptions }) {
    const handleSelectChange = (event) => {
        setName(event.target.value)
    }

    return (
        <div className='select player'>
            <form>
                <select value={name} onChange={handleSelectChange}>
                    {nameOptions}
                </select>
            </form>
        </div>
    )
}
