export const reducer = (state, action) => {
  switch (action.type) {

    case "toggleOfflineMode":
      return { ...state,
        offlineMode: !state.offlineMode // on/off
      }

    default:
      console.warn("Unknown action.type", action)
      return state
  }
}
  
export const initialState = { 
  games: null,
  gamesFetching: false,

  leaderboard: null,
  leaderboardFetching: false,
  
  isCurrentUser: () => null,

  offlineMode: false
}
